%define major	0
%define libname	%mklibname dxfrw %{major}
%define devname	%mklibname dxfrw -d

Name:		libdxfrw
Summary:	Library to read dwg and read/write dxf files
Version:	0.6.3
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
Url:		http://sourceforge.net/projects/libdxfrw/
Source0:	http://download.sourceforge.net/libdxfrw/%{name}-%{version}.tar.xz
Patch0:		libdxfrw-LibreCad-2.1.0-changes.patch
Patch1:		0001-Add-changes-from-LibreCad-2.1.3.patch

%description
c++ library to read/write dxf files in binary and ascii form and to read dwg
from r14.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library to read dwg and read/write dxf files
Obsoletes:	libdxfrw
Provides:	libdxfrw = %{version}-%{release}

%description -n %{libname}
c++ library to read/write dxf files in binary and ascii form and to read dwg
from r14.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes: 	libdxfrw-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%package -n dwg2dxf
Summary:	Program to convert dwg/dxf to dxf (ascii and binary)
Group:		Graphics

%description -n dwg2dxf
This package contains the dwg2dxf tool to convert dwg/dxf files to
dxf (ascii and binary) file.

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x \
	--disable-static
%make

%install
rm -rf %buildroot
%makeinstall

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n dwg2dxf
%{_bindir}/dwg2dxf

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}%{major}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}%{major}.pc


%changelog
* Sun Feb 19 2017 adrianomorselli <adrianomorselli> 0.6.3-2uplos2017
- add build patches for librecad
